EVP_DESX_CBC(3)

NAME
EVP_desx_cbc - EVP DES-X cipher

SYNOPSIS
 #include <openssl/evp.h>

 const EVP_CIPHER *EVP_desx_cbc(void);

DESCRIPTION
The DES-X encryption algorithm for EVP.

All modes below use a key length of 128 bits and acts on blocks of 128-bits.

EVP_desx_cbc()
    The DES-X algorithm in CBC mode.

    This algorithm is not provided by the OpenSSL default provider. To use it is necessary to load either the OpenSSL legacy provider or another implementation.

Developers should be aware of the negative performance implications of calling this function multiple times and should consider using EVP_CIPHER_fetch(3) instead. See "Performance" in crypto(7) for further information.

RETURN VALUES
These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

SEE ALSO
evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

COPYRIGHT
Copyright 2017-2023 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.